Get Variable
curl --request GET \
--url https://api.bunny.net/compute/script/{id}/variables/{variableId} \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/compute/script/{id}/variables/{variableId}"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/compute/script/{id}/variables/{variableId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Name": "<string>",
"Required": true,
"DefaultValue": "<string>"
}Variable
Get Variable
GET
/
compute
/
script
/
{id}
/
variables
/
{variableId}
Get Variable
Authorizations
AccessKeybearer
API Access Key authorization header
Path Parameters
The ID of the script that contains the variable
The ID of the Environment Variable that should be returned
Last modified on June 26, 2026
Was this page helpful?
⌘I